[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# BasicEventWaitFor

Obsolete. Don't use

## Declaration

Source position: threadh.inc line 176

`function BasicEventWaitFor(`
`Timeout: Cardinal;`
`state: PEventState`
`):LongInt;`

## Description

basiceventwaitfor is obsolete. Use RTLEventWaitFor instead.

## See also

RTLEventWaitFor |  | Wait for an event.